
{% extends 'base/base.html' %}

{% block side_bar %}{% endblock side_bar %}    
{% block top_bar %}{% endblock top_bar %}
{% block page_content %}{% endblock page_content %}    
{% block footer %}{% endblock footer %}

{% block login %}
<div class="container">

    <!-- Outer Row -->
    <div class="row justify-content-center">

        <div class="col-xl-10 col-lg-12 col-md-9">

            <div class="card o-hidden border-0 shadow-lg my-5">
                <div class="card-body p-0">
                    <!-- Nested Row within Card Body -->
                    <div class="row">
                        <div class="col-lg-6 d-none d-lg-block bg-login-image"></div>
                        <div class="col-lg-6">
                            <div class="p-5">
                                <div class="text-center">
                                    <h1 class="h4 text-gray-900 mb-4">Bienvenido al Sistema!</h1>
                                    <small class="text-danger">
                                                                                                                                                                 
                                    </small>
                                </div>
                                <form class="user" method="post">
                                    {% csrf_token %}
                                    <div class="form-group">
                                        <input type="text" class="form-control form-control-user" id="id_username" name="username"
                                        aria-describedby="emailHelp" placeholder="Ingresa un correo electrónico..">
                                    </div>

                                    <div class="form-group">
                                        <input type="password" class="form-control form-control-user" id="id_password" name="password"
                                        autocomplete="current-password" placeholder="Ingresa tu contraseña..">
                                    </div>
                                    
                                    <!-- {{ form.as_p }} -->

                                    <button type="submit" class="btn btn-secondary btn-user btn-block font-weight-bold text-capitalize">Acceder</button>
                                    
                                    <!-- <div class="my-3">
                                        <span>No tienes cuenta? <a href="#">Registrate</a></span><br>
                                        <span><a href="#">Recuperar password</a></span>
                                    </div> -->
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>

    </div>
{% endblock login %}

{% block js_page %}
    <script>
        {% if form.errors %}
            //si el formulario tiene errores
            {% for field in form %}
                {% if field.errors %}
                    {% for error in field.errors %}
                        mensaje('{{ error|escape }}', 'red')
                    {% endfor %}
                {% endif %}
            {% endfor %}
        {% endif %}


        {% if form.non_field_errors %}
            {% for error in form.non_field_errors %}
                mensaje('{{ error|escape }}', 'red')
            {% endfor %}
        {% endif %}
    </script>
{% endblock js_page %}
    
    